/*===========================================================================*/
/*   (Ieee/boolean.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Ieee/boolean.scm -indent -o objs/obj_s/Ieee/boolean.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
static obj_t BGl__booleanzf3zf3zz__r4_booleans_6_1z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_notz00zz__r4_booleans_6_1z00(obj_t);
static obj_t BGl__notz00zz__r4_booleans_6_1z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__r4_booleans_6_1z00();
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL bool_t BGl_booleanzf3zf3zz__r4_booleans_6_1z00(obj_t);
static obj_t BGl_symbol1452z00zz__r4_booleans_6_1z00 = BUNSPEC;
static obj_t BGl_symbol1451z00zz__r4_booleans_6_1z00 = BUNSPEC;
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_notzd2envzd2zz__r4_booleans_6_1z00, BgL_bgl__notza700za7za7__r4_booleans_6_1za7001459z00, BGl__notz00zz__r4_booleans_6_1z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_booleanzf3zd2envz21zz__r4_booleans_6_1z00, BgL_bgl__booleanza7f3za7f3za7za7__r4_booleans_6_1za7001460za7, BGl__booleanzf3zf3zz__r4_booleans_6_1z00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long BgL_checksumz00_314, char * BgL_fromz00_315)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__r4_booleans_6_1z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__r4_booleans_6_1z00()
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 14 */
BGl_symbol1451z00zz__r4_booleans_6_1z00 = 
string_to_symbol("not"); 
return ( 
BGl_symbol1452z00zz__r4_booleans_6_1z00 = 
string_to_symbol("boolean?"), BUNSPEC) ;} 
}



/* not */
BGL_EXPORTED_DEF bool_t BGl_notz00zz__r4_booleans_6_1z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 47 */
{ /* ./Ieee/boolean.scm 48 */
obj_t BgL_symbol1439z00_302;
BgL_symbol1439z00_302 = BGl_symbol1451z00zz__r4_booleans_6_1z00; 
{ /* ./Ieee/boolean.scm 48 */

PUSH_TRACE(BgL_symbol1439z00_302); BUNSPEC; 
{ /* ./Ieee/boolean.scm 48 */
bool_t BgL_aux1438z00_303;
if(
CBOOL(BgL_objz00_1))
{ /* ./Ieee/boolean.scm 48 */
BgL_aux1438z00_303 = ((bool_t)0); }  else 
{ /* ./Ieee/boolean.scm 48 */
BgL_aux1438z00_303 = ((bool_t)1); } 
POP_TRACE(); 
return BgL_aux1438z00_303;} } } } 
}



/* _not */
obj_t BGl__notz00zz__r4_booleans_6_1z00(obj_t BgL_envz00_298, obj_t BgL_objz00_299)
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 47 */
{ /* ./Ieee/boolean.scm 48 */
bool_t BgL_auxz00_326;
{ /* ./Ieee/boolean.scm 48 */
bool_t BgL_res1453z00_307;
{ /* ./Ieee/boolean.scm 48 */
obj_t BgL_symbol1439z00_305;
BgL_symbol1439z00_305 = BGl_symbol1451z00zz__r4_booleans_6_1z00; 
{ /* ./Ieee/boolean.scm 48 */

PUSH_TRACE(BgL_symbol1439z00_305); BUNSPEC; 
{ /* ./Ieee/boolean.scm 48 */
bool_t BgL_aux1438z00_306;
if(
CBOOL(BgL_objz00_299))
{ /* ./Ieee/boolean.scm 48 */
BgL_aux1438z00_306 = ((bool_t)0); }  else 
{ /* ./Ieee/boolean.scm 48 */
BgL_aux1438z00_306 = ((bool_t)1); } 
POP_TRACE(); 
BgL_res1453z00_307 = BgL_aux1438z00_306; } } } 
BgL_auxz00_326 = BgL_res1453z00_307; } 
return 
BBOOL(BgL_auxz00_326);} } 
}



/* boolean? */
BGL_EXPORTED_DEF bool_t BGl_booleanzf3zf3zz__r4_booleans_6_1z00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 53 */
{ /* ./Ieee/boolean.scm 54 */
obj_t BgL_symbol1443z00_308;
BgL_symbol1443z00_308 = BGl_symbol1452z00zz__r4_booleans_6_1z00; 
{ /* ./Ieee/boolean.scm 54 */

PUSH_TRACE(BgL_symbol1443z00_308); BUNSPEC; 
{ /* ./Ieee/boolean.scm 54 */
bool_t BgL_aux1442z00_309;
BgL_aux1442z00_309 = 
BOOLEANP(BgL_objz00_2); 
POP_TRACE(); 
return BgL_aux1442z00_309;} } } } 
}



/* _boolean? */
obj_t BGl__booleanzf3zf3zz__r4_booleans_6_1z00(obj_t BgL_envz00_300, obj_t BgL_objz00_301)
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 53 */
{ /* ./Ieee/boolean.scm 54 */
bool_t BgL_auxz00_335;
{ /* ./Ieee/boolean.scm 54 */
bool_t BgL_res1454z00_313;
{ /* ./Ieee/boolean.scm 54 */
obj_t BgL_symbol1443z00_311;
BgL_symbol1443z00_311 = BGl_symbol1452z00zz__r4_booleans_6_1z00; 
{ /* ./Ieee/boolean.scm 54 */

PUSH_TRACE(BgL_symbol1443z00_311); BUNSPEC; 
{ /* ./Ieee/boolean.scm 54 */
bool_t BgL_aux1442z00_312;
BgL_aux1442z00_312 = 
BOOLEANP(BgL_objz00_301); 
POP_TRACE(); 
BgL_res1454z00_313 = BgL_aux1442z00_312; } } } 
BgL_auxz00_335 = BgL_res1454z00_313; } 
return 
BBOOL(BgL_auxz00_335);} } 
}

